const system = require("../../../system");
module.exports = (db, DataTypes) => {
  return db.define("pushSuccessLog", {
    queued_name: DataTypes.STRING(512),	//队列名称
    identify_code: DataTypes.STRING(100),	//标识code
    op_title: DataTypes.STRING(100),	//	操作标题
    push_content: DataTypes.JSON,	//推送的内容
    result_info: DataTypes.JSON,	//返回信息
    request_id: DataTypes.STRING(100),
    client_ip: DataTypes.STRING(100),	//请求ip
  }, {
    paranoid: false,//假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    timestamps: true,
    updatedAt: false,
    //freezeTableName: true,
    // define the table's name
    tableName: 'x_push_success_log',
    validate: {

    },
    indexes: [
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
}
